(function($) {
    "use strict";
    var text = $('.twfp-preview-text').val();
    $(document).ready(function($) {
        $(document).on('change', '.twfp-preview-default, .twfp-preview-text', function(e) {
            e.preventDefault();
            text = $(this).val();
            generate_preview( text );
        })

        $(document).on('click', '.twfp-preview-text-size', function(e) {
            e.preventDefault();
            $('.twfp-preview-text-size').removeClass('selected');
            $(this).addClass('selected');
            generate_preview( text );
        })
    })

    function generate_preview(text = ''){
        $('.twfp-preview-loading').show();
        var text_size = $('.twfp-preview-text-size.selected').attr('data-value');

        $.ajax({
            async: true,
            url: twfp.ajax_url,
            type: 'POST',
            data: 'action=twfp_font_generator&post_id='+twfp.post_id+'&text='+text+'&text_size='+text_size+'&nonce=' + twfp.nonce,
            success: function(results) {
                $(".twfp-preview-render").show();
                $('.twfp-preview-render .twfp-preview-container').empty();
                $.each(results, function( index, value ) {
                    var img = '<label><h4>'+value.name+'</h4></label><img src="data:image/png;base64, '+value.img+'">';
                    $('.twfp-preview-render .twfp-preview-container').append(img);
                });
            }
        }).done(function() {
            $('.twfp-preview-loading').hide();
        });
    }
})(jQuery);